/*
    style.css
    for gomasaba
-------------------------------------------------------------------------------*/
* {
    margin: 0;
    padding: 0;
}

a:link    { color: #114; }
a:visited { color: #114; }
a:hover   { color: #114; }
a:active  { color: #114; }

body {
    background-color: #fff;
    color: #101010;
    font-family: 'YuGothic', 'Hiragino Sans', 'Meiryo', 'MS PGothic', sans-serif;
    font-size: 1em;

}

div {
    box-sizing: border-box;
}

#header {
    width: 100vw;
    height: 60px;
    border-bottom: 1px solid #666;
    line-height: 60px;
    /*font-size: 1.2em;*/
    /*font-weight: bold;*/
}

#header div {
    display: inline-block;
    vertical-align: middle;
}

#header .icon {
    width: 30px;
    height: 30px;
    margin-left: 10px;
    margin-bottom: -7px;
    cursor: pointer;
}

#header .info {
    white-space: nowrap;
    overflow: hidden;
    /*padding: 0 10px;*/
}

#header input {
    border: 1px solid #666;
    border-radius: 4px;
    text-align: center;
    font-size: 1em;
    width: 100px;
}
@media screen and (min-width: 768px) {  /* width:768px 以上のとき */
    #header input {
        font-size: 1.2em;
        font-weight: bold;
        width: 150px;
        margin-left: 10px;
    }
}

#latlng {
    font-size: 1em;
}
@media screen and (min-width: 768px) {  /* width:768px 以上のとき */
    #latlng {
        font-size: 1.2em;
        font-weight: bold;
        margin-left: 10px;
    }
}

#footer {
    margin-bottom: 0;
    height: 60px;
    /* border-top: 1px solid #666; */
}
@media screen and (min-width: 768px) {  /* width:768px 以上のとき */
    #footer {
        height: 0;
    }
}

/* 地図を表示する領域 */
#map {
    position: relative;
    height: calc(100vh - 120px);
    overflow: hidden;
    width: 100vw;
    white-space: nowrap;
}
@media screen and (min-width: 768px) {  /* width:768px 以上のとき */
    #map {
        height: calc(100vh - 60px);
    }
}

#scale {
    width: 2em;
    height: calc(100vh - 120px);
    z-index: 20;
    position: absolute;
    right: 0;
    top: 0;
    pointer-events: none;
}
@media screen and (min-width: 768px) {  /* width:768px 以上のとき */
    #scale {
        height: calc(100vh - 60px);
    }
}

#tile {
    position: absolute;
    left: 0;
    top: 0;
    transform-origin: 0 0;
    will-change: transform;
    user-select: none;
    touch-action: none;
    max-width: none;
}

#marker {
  position: absolute;
  width: 36px;
  height: 36px;
  pointer-events: none;
  display: none;
}

.wrap {
    width: 100%;
    max-width: 800px;
    margin: 100px auto;
    padding: 0 20px;
}

#login_header{
    display: inline-block;
    margin-bottom: 2em;
}

#login_header span {
    vertical-align: middle;
    font-size: 130%;
    font-weight: bold;
}

.header_image {
    width: 40px;
    vertical-align: middle;
}

input {
    box-sizing: border-box;
    border: 1px solid #666;
    width: 100%;
    font-size: 110%;
    padding: 6px 3px;
    border-radius: 4px;
}
